summaryrefslogtreecommitdiffstats
path: root/scripts
diff options
context:
space:
mode:
authorLeif Åstrand <leif@vaadin.com>2013-05-17 16:45:25 +0300
committerLeif Åstrand <leif@vaadin.com>2013-05-17 16:45:25 +0300
commit20b169873dbacf9eb7135a861bc5cf15177225ee (patch)
tree8bd5595e53b540bf519468089180feded8807ec2 /scripts
parent91f7b3973a4f03b3329a4d30143e4486a606a458 (diff)
parent73a50dbf002b381411a7c6ca1d6b4e59a93bbe0c (diff)
downloadvaadin-framework-20b169873dbacf9eb7135a861bc5cf15177225ee.tar.gz
vaadin-framework-20b169873dbacf9eb7135a861bc5cf15177225ee.zip
Merge changes from origin/7.1
145a3e3 Send browser window resizes if there is a listener (#10055) 609acd1 Fixed table height rendering in Android 2.3 #11331 3dd6b44 Show tooltip on focus for DataField for AT (#11865) 4235382 Add ARIA presentation role to FormLayout (#11866) f1130fa Reset focus after selection from ContextMenu (#11476) fa0c9f5 Allow to close a context menu with ESC key (#11869) 656eaa5 Tweak TooltipConfiguration test to pass in IE9 and IE10 63dd611 Centers VOverlays in visual viewport on iOS, Android, fixes #11614 5a33d7d Test for #11775 0c8edf1 Avoid marking AbstractField dirty in primitive getters (#11201) 6c64757 Remove JavaDoc dependency to vaadin-server from PageState (#11873) 2f6d5e0 Tooltip accessibility fixes (#11799) 9b6b735 Merge changes from origin/7.0 1205e87 Merge commit 'a52ceb96590333' into 7.1 5a93038 Commit and push everything before a conflicting commit 73a50db Merge changes from origin/7.0 Change-Id: I63b89036a5973ca4ce14a6b3347f15c548e96169
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/automerge7.sh26
1 files changed, 23 insertions, 3 deletions
diff --git a/scripts/automerge7.sh b/scripts/automerge7.sh
index 564296f5db..7b8c37a5aa 100755
--- a/scripts/automerge7.sh
+++ b/scripts/automerge7.sh
@@ -67,6 +67,14 @@ maybe_commit_and_push() {
pushMerged
}
+can_merge() {
+ commit=$1
+ git merge --no-commit --no-ff $commit > /dev/null 2>&1
+ result=$?
+ git reset --hard HEAD > /dev/null 2>&1
+ return $result
+}
+
nothingToCommit=`git status | grep "nothing to commit"`
if [ "$nothingToCommit" == "" ]
then
@@ -89,9 +97,21 @@ do
commitMsg=`git log -n 1 --format=oneline --abbrev-commit $commit`
if [ "$mergeDirective" == "" ]
then
- pendingCommit=$commit
- pendingCommitMessage=$pendingCommitMessage"$commitMsg\n"
- echo pendingCommitMessage: $pendingCommitMessage
+ if can_merge $commit
+ then
+ pendingCommit=$commit
+ pendingCommitMessage=$pendingCommitMessage"$commitMsg\n"
+ echo pendingCommitMessage: $pendingCommitMessage
+ else
+ maybe_commit_and_push $pendingCommit "$pendingCommitMessage"
+ pendingCommit=
+ pendingCommitMessage=
+ echo
+ echo "Stopping merge because $commit because of merge conflicts"
+ echo "The following commit must be manually merged."
+ show $commit
+ exit 3
+ fi
elif [ "$mergeDirective" == "no" ]
then
maybe_commit_and_push $pendingCommit "$pendingCommitMessage"